Download OpenAPI specification:Download
Authorization: Bearer <bearer token> header.<bearer token> rotation is recommended.Request or refresh an authorization token
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| Content-Type required | string Default: application/json The only supported request type for this endpoint is application/json. |
| Request-ID required | string The integrator's external request ID for support traceablility and issue debugging. This string should be a UUID V4 value. |
| grantType required | string Grant type |
| code required | string Authorization code to generate access and refresh token. Make sure to use the authorization code provided. |
{- "grantType": "authorization_code",
- "code": "string"
}{- "accessToken": "hsfsdgfdsgvb4354gfnbnkaerAtrJKNnrtusiJNOuts",
- "expiration": "2023-02-18T19:39:39.548608815Z",
- "refreshToken": "sflk5j6q2kgmKjfrs_kijdngka9qpoutrei45gfnm",
- "tokenType": "Bearer"
}The items endpoint returns a collection of items currently available for the specified sales policy.
N.B., The object returned is of the summaryItem class; to retrieve a complete item object, use the /catalog/item endpoint.
| policyCode | string Policy (control) code governing the sales policy for the requestor. If no other parameters are specified, all items listed in the policy will be returned, regardless of sales status. |
| startDate | string <date-time> Start date in YYYY-MM-DDThh:mm:ssZ or YYYY-MM-DDThh:mm:ss±hh:mm format. Applicable to event items only. When specified, only those events with a start date on or after this date will be returned. |
| seasonCode | Array of strings A season code may be specified to further filter output. This parameter may be repeated; when so done, the values will be logically OR'd. |
| facilityCode | string A (single) facility code may be specified to further filter output. |
| itemBasis | string An item basis may be specified to further filter output. Valid values are |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| Accept-Encoding | string gzip compression is supported. |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
curl -X GET "https://link-sandbox.paciolan.info/v2/catalog/items?policyCode=myPolicyCode&startDate=2023-08-15T00:00:00Z&seasonCode=season1&seasonCode=season2&facilityCode=myFacility&itemBasis=SINGLE" \ -H "Accept: application/json" \ -H "Accept-Encoding: gzip" \ -H "User-Agent: YourApplication/1.0.0" \ -H "PAC-API-Key: YOUR_API_KEY" \ -H "PAC-Application-ID: reverse.domain.appid" \ -H "PAC-API-Creds: YOUR_API_CREDS" \ -H "PAC-Channel-Code: channelcode" \ -H "PAC-Organization-ID: 12345" -H "Autorization: Bearer YOUR_TOKEN"
[- {
- "seasonCode": "F17",
- "itemCode": "F01",
- "itemName": "Football Game 1",
- "internetName": "Stanford Cardinal Football vs Rice",
- "itemBasis": "SINGLE",
- "facilityCode": "STA",
- "facilityName": "Stanford Stadium and Maples Pavilion",
- "startDate": "2016-05-20T20:30:00Z",
- "endDate": null,
- "onsale": true,
- "hasPricingProfiles": false,
- "itemGroups": [
- {
- "code": "CR",
- "name": "CARDINAL'S ITEM GROUP"
}
]
}, - {
- "seasonCode": "F17",
- "itemCode": "F02",
- "itemName": "Football Game 2",
- "internetName": "Stanford Cardinal Football vs USC",
- "itemBasis": "SINGLE",
- "facilityCode": "STA",
- "facilityName": "Stanford Stadium and Maples Pavilion",
- "startDate": "2016-05-22T19:00:00Z",
- "endDate": null,
- "onsale": true,
- "hasPricingProfiles": false,
- "itemGroups": [
- {
- "code": "SOCAL",
- "name": "SoCal Season Group"
}, - {
- "code": "SOCALM",
- "name": "SoCal Mobile Group"
}
]
}
]The item details endpoint returns detailed item information for the requested item, as permitted by the specified sales policy.
| season_code required | string Season code for the requested item. |
| item_code required | string Item code for the requested item. |
| policyCode required | string Policy (control) code governing the sales policy for the requestor. |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| Accept-Encoding | string gzip compression is supported. |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
curl -X GET "https://link-sandbox.paciolan.info/v2/catalog/{season_code}/{item_code}?policyCode=myPolicyCode" \ -H "Accept: application/json" \ -H "Accept-Encoding: gzip" \ -H "User-Agent: YourApplication/1.0.0" \ -H "PAC-API-Key: YOUR_API_KEY" \ -H "PAC-Application-ID: reverse.domain.appid" \ -H "PAC-API-Creds: YOUR_API_CREDS" \ -H "PAC-Channel-Code: channelcode" \ -H "PAC-Organization-ID: 12345" -H "Autorization: Bearer YOUR_TOKEN"
{- "activity": {
- "code": "FB",
- "name": "Football"
}, - "season": {
- "code": "FB16",
- "name": "Football 2016"
}, - "code": "FB01",
- "basis": "SINGLE",
- "name": "Football Game 1",
- "eventName": "",
- "internetName": "",
- "type": {
- "code": "ABC",
- "name": "ABC"
}, - "eventGroup": {
- "code": "DEF",
- "name": "DEF"
}, - "facility": {
- "code": "AVA",
- "name": "Avalos Stadium",
- "address1": "5171 California Avenue, Suite 200",
- "address2": null,
- "address3": null,
- "address4": null,
- "addressLocality": "Irvine",
- "addressRegion": "CA",
- "postalCode": "92617",
- "addressCountry": "US",
- "timeZone": "PST8PDT"
}, - "configuration": {
- "code": "FB",
- "name": "Football Configuration"
}, - "priceTable": {
- "code": "FOO",
- "name": "Price Table FOO"
}, - "itemGroups": [
- {
- "code": "FB",
- "name": "FOOTBALL"
}
], - "class": {
- "code": "FOO",
- "name": "Class FOO"
}, - "startDate": "",
- "endDate": "",
- "onSale": true,
- "nonAllocatable": {
- "price": 12.34,
- "itemLimit": 12,
- "quantitySold": 1,
- "customerLimit": 23,
- "changeable": true,
- "ticketCharge": {
- "code": "CHG",
- "name": "My Non-Allocatable Charge Code",
- "amount": 1
}, - "minimumQuantity": null,
- "maximumQuantity": null,
- "multipleQuantity": null
}, - "keywords": [
- "FOOTBALL",
- "YAY",
- "MARTY"
], - "offers": [
- {
- "priceLevel": 1,
- "priceType": "A",
- "startDate": null,
- "endDate": null,
- "price": 75,
- "minimumQuantity": null,
- "maximumQuantity": null,
- "multipleQuantity": null,
- "ticketCharge": {
- "code": "FOO",
- "name": "My Charge Code",
- "amount": 1
}, - "facilityFee": {
- "code": "FE1",
- "name": "Facility Fee 1",
- "amount": 1
}
}, - {
- "priceLevel": 1,
- "priceType": "B",
- "startDate": null,
- "endDate": null,
- "price": 55,
- "minimumQuantity": null,
- "maximumQuantity": null,
- "multipleQuantity": null,
- "ticketCharge": {
- "code": "FOO",
- "name": "My Charge Code",
- "amount": 1
}, - "facilityFee": null
}
], - "surcharge": {
- "code": "S10",
- "percentage": 10
}
}The availability endpoint returns summary availability information for the requested event (item code), as permitted by the specified sales policy.
| season_code required | string Season code for the requested item. |
| item_code required | string Item code for the requested item. |
| policyCode required | string Policy (control) code governing the sales policy for the requestor. |
| seatStatusCode | string Seat status code. When omitted, the availability response reflects all seat statuses the requestor has access to. |
| priceLevelsOnly | boolean When |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| Accept-Encoding | string gzip compression is supported. |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
curl -X GET "https://link-sandbox.paciolan.info/v2/inventory/availability/{season_code}/{item_code}?policyCode=myPolicyCode&seatStatusCode=available&priceLevelsOnly=true" \ -H "Accept: application/json" \ -H "Accept-Encoding: gzip" \ -H "User-Agent: YourApplication/1.0.0" \ -H "PAC-API-Key: YOUR_API_KEY" \ -H "PAC-Application-ID: reverse.domain.appid" \ -H "PAC-API-Creds: YOUR_API_CREDS" \ -H "PAC-Channel-Code: channelcode" \ -H "PAC-Organization-ID: 12345" -H "Autorization: Bearer YOUR_TOKEN"
{- "season": {
- "code": "FB16",
- "name": "Football 2016"
}, - "item": {
- "code": "FB01",
- "name": "Football Game 1"
}, - "availability": 1000,
- "priceLevels": [
- {
- "priceLevel": 1,
- "sections": [
- {
- "section": "UB:100",
- "availability": 250
}, - {
- "section": "UB:110",
- "availability": 250
}
], - "availability": 500
}, - {
- "priceLevel": 2,
- "sections": [
- {
- "section": "LB:200",
- "availability": 250
}, - {
- "section": "LB:220",
- "availability": 250
}
], - "availability": 500
}
]
}The status endpoint returns seat status information for the requested event (item code) and section(s).
❗️ URL Encoding
Please ensure that all requests are properly URL encoded; i.e., all
level:sectionvalues are properly URL encoded aslevel%3Asection.
❗️ A note on erroneous sections…
Specifying erroneous section(s) in a request will not result in an error; rather, the section(s) will simply not be returned in the response. This is purely for performance purposes.
| season_code required | string Season code for the requested item. |
| item_code required | string Item code for the requested item. |
| policyCode required | string Policy (control) code governing the sales policy for the requestor. |
| section | string One or more sections (level:section) for which seat status information should be returned. |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| Accept-Encoding | string gzip compression is supported. |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
curl -X GET "https://link-sandbox.paciolan.info/v2/inventory/status/{season_code}/{item_code}?policyCode=myPolicyCode§ion=level%3Asection" \ -H "Accept: application/json" \ -H "Accept-Encoding: gzip" \ -H "User-Agent: YourApplication/1.0.0" \ -H "PAC-API-Key: YOUR_API_KEY" \ -H "PAC-Application-ID: reverse.domain.appid" \ -H "PAC-API-Creds: YOUR_API_CREDS" \ -H "PAC-Channel-Code: channelcode" \ -H "PAC-Organization-ID: 12345" -H "Autorization: Bearer YOUR_TOKEN"
{- "season": {
- "code": "FB16",
- "name": "Football 2016"
}, - "item": {
- "code": "FB01",
- "name": "Football Game 1"
}, - "seatMarkers": [
- {
- "code": 822,
- "title": "This is a PLATINUM Seat Marker",
- "type": "PLAT"
}, - {
- "code": 500,
- "title": "This is a SEAT PACKAGE Seat Marker",
- "type": "PKG"
}, - {
- "code": 810,
- "title": "This is a PREMIUM Seat Marker",
- "type": "PREM"
}
], - "priceLevels": [
- {
- "priceLevel": 1,
- "sections": [
- {
- "section": "UB:100",
- "rows": [
- {
- "row": "AA",
- "seats": [
- "1",
- "11",
- "13",
- "15",
- "17",
- "19",
- "3",
- "5",
- "7",
- "9"
], - "statuses": [
- "O",
- "O",
- "O",
- "O",
- "O",
- "O",
- "O",
- "&",
- "w",
- "w"
], - "seatLevelPrices": [
- null,
- null,
- null,
- null,
- null,
- null,
- null,
- null,
- 10000,
- 10000
], - "seatMarkerCodes": [
- 810,
- null,
- null,
- null,
- null,
- null,
- null,
- null,
- 822,
- 822
]
}, - {
- "row": "BB",
- "seats": [
- "1",
- "11",
- "13",
- "15",
- "17",
- "19",
- "3",
- "5",
- "7",
- "9"
], - "statuses": [
- "O",
- "O",
- "v",
- "Q",
- "l",
- "g",
- "O",
- "P",
- "O",
- "O"
], - "seatLevelPrices": [
- null,
- null,
- null,
- 20000,
- null,
- 20000,
- null,
- null,
- null,
- null
], - "seatMarkerCodes": [
- null,
- null,
- null,
- 500,
- null,
- 500,
- null,
- null,
- null,
- 822
]
}
]
}
]
}
]
}The status (change) endpoint is used to manipulate seat status information for the requested event (item code).
| season_code required | string Season code for the requested item. |
| item_code required | string Item code for the requested item. |
| policyCode required | string Policy (control) code governing the sales policy for the integrator. |
| debug | string Default: "false" Enum: "false" "true" Enables detailed response logging. Use only when instructed by Paciolan Developer Support. |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| Accept-Encoding | string gzip compression is supported. |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
| section | string |
Array of objects | |
| seatStatus | string |
[- [
- {
- "section": "UB:100",
- "rows": [
- {
- "row": "AA",
- "seats": [
- "1",
- "11",
- "13",
- "15",
- "17",
- "19",
- "3",
- "5",
- "7",
- "9"
]
}, - {
- "row": "BB",
- "seats": [
- "1",
- "11",
- "13",
- "15",
- "17",
- "19",
- "3",
- "5",
- "7",
- "9"
]
}
], - "seatStatus": "O"
}, - {
- "section": "UB:100",
- "rows": [
- {
- "row": "CC",
- "seats": [
- "1",
- "11",
- "13",
- "15",
- "17",
- "19",
- "3",
- "5",
- "7",
- "9"
]
}, - {
- "row": "DD",
- "seats": [
- "1",
- "11",
- "13",
- "15",
- "17",
- "19",
- "3",
- "5",
- "7",
- "9"
]
}
], - "seatStatus": "p"
}
]
]{- "exceptions": [
- {
- "section": "L3:S319",
- "rows": [
- {
- "row": "A",
- "seats": [
- "1",
- "2",
- "3",
- "4",
- "5",
- "6"
], - "reason": "STATUS_ALREADY_CHANGED"
}
]
}
], - "seatsUpdated": 2
}The create cart endpoint is used to create a new shopping cart by adding requesting a ticket offer (absent an existing cart ID).
| policyCode required | string Policy (control) code governing the sales policy for the requestor. |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| Accept-Encoding | string gzip compression is supported. |
| Content-Type required | string Default: application/json The only supported request type for this endpoint is application/json. |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
| seasonCode required | string | ||||||||||||
| itemCode required | string | ||||||||||||
| quantity required | string | ||||||||||||
required | Array of objects | ||||||||||||
Array
| |||||||||||||
{- "seasonCode": "AUTO2",
- "itemCode": "A1",
- "quantity": "1",
- "seats": [
- {
- "priceLevel": 4,
- "priceType": "A",
- "section": "1:1",
- "row": "2",
- "seat": "2",
- "slp": false
}
]
}{- "ID": 874284,
- "expiration": "2024-07-24T00:44:31Z",
- "balance": 41,
- "paid": 0,
- "value": 41,
- "comments": null,
- "tags": [ ],
- "offers": [
- {
- "sequence": 1,
- "offerType": "SALE",
- "quantity": 1,
- "allocatedQuantity": 0,
- "seasonCode": "AUTO2",
- "itemCode": "A1",
- "basis": "SINGLE",
- "event": {
- "code": "A1",
- "name": "A1 Event update2",
- "priceLevel": 1,
- "facilityFee": {
- "code": "FF",
- "amount": 1
}, - "seats": [
- {
- "section": "A:A",
- "row": "47",
- "seat": "2",
- "sequence": 2
}
]
}, - "priceType": {
- "code": "A",
- "name": "Adult",
- "class": null,
- "auditKind": "F"
}, - "markCode": null,
- "unitPrice": 40,
- "itemDiscount": null,
- "itemSurcharge": null,
- "itemCharge": null,
- "extendedPrice": 41,
- "itemPriority": null,
- "referralSource": null,
- "referralData": null,
- "associatedCustomer": null,
- "willCallCustomer": null,
- "note": null,
- "tags": [ ],
- "availableDiscounts": [
- {
- "seasonCode": "AUTO2",
- "code": "ODDM",
- "name": "$1/event (w/$10 max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "F",
- "name": "OTTAWA DISC"
}, - {
- "seasonCode": "AUTO2",
- "code": "1/E",
- "name": "$1 per event ($4 max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "D10",
- "name": "10% disc (no max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "D2",
- "name": "Quantity Based Percent Discount"
}, - {
- "seasonCode": "AUTO2",
- "code": "D3",
- "name": "Discount Per Event"
}, - {
- "seasonCode": "AUTO2",
- "code": "D4",
- "name": "Discount Per Item"
}, - {
- "seasonCode": "AUTO2",
- "code": "ODD",
- "name": "one dollar discount"
}, - {
- "seasonCode": "AUTO2",
- "code": "5%",
- "name": "FIVE PERCENT"
}, - {
- "seasonCode": "AUTO2",
- "code": "ODD.I",
- "name": "$1 per item"
}, - {
- "seasonCode": "AUTO2",
- "code": "AUTO_DISC",
- "name": "AUTO Discount"
}, - {
- "seasonCode": "AUTO2",
- "code": "ODO",
- "name": "ONE DOLLAR OFF"
}, - {
- "seasonCode": "AUTO2",
- "code": "10%",
- "name": "10% (w/$10 max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "AUTO_DISC2",
- "name": "Auto Discount2"
}
]
}
], - "charges": [ ],
- "userDefinedFields": [ ],
- "saleCode": {
- "code": "B",
- "name": "Box Office (IAM)",
- "group": {
- "code": "B",
- "name": "Box Office"
}
}, - "availableMarkCodes": [
- {
- "code": "G",
- "name": "GENERAL PUBLIC"
}, - {
- "code": "A1",
- "name": "OPTION - A1"
}, - {
- "code": "B1T",
- "name": "OPTION TRANSER - B1"
}
], - "availableSurcharges": [
- {
- "seasonCode": "AUTO2",
- "code": "AUTO_SURG",
- "name": "AUTO SURCHARGES"
}, - {
- "seasonCode": "AUTO2",
- "code": "S1",
- "name": "Auto Surcharge"
}, - {
- "seasonCode": "AUTO2",
- "code": "S2",
- "name": "Auto Surcharge 2"
}
], - "availablePaymentMethods": [
- {
- "code": "AMEX",
- "name": "AMEX",
- "type": "AMERICAN_EXPRESS"
}, - {
- "code": "MC",
- "name": "Mastercard ",
- "type": "MASTERCARD"
}, - {
- "code": "G",
- "name": "Gift Certificate",
- "type": "GIFT_CERTIFICATE"
}, - {
- "code": "CK",
- "name": "Check",
- "type": "CHECK"
}, - {
- "code": "V",
- "name": "Visa",
- "type": "VISA"
}, - {
- "code": "C",
- "name": "Cash",
- "type": "CASH"
}, - {
- "code": "OT",
- "name": "Other",
- "type": "OTHER"
}
], - "availableDeliveryMethods": [
- {
- "code": "E",
- "name": "EXPRESS MAIL",
- "type": "TRADITIONAL"
}, - {
- "code": "MSID.1",
- "name": "Magstripe Student ID",
- "type": "MAGSTRIPE_STUDENT_ID"
}, - {
- "code": "MSCC.1",
- "name": "Magstripe Credit Card",
- "type": "MAGSTRIPE_CC"
}, - {
- "code": "SJMOBILE",
- "name": "API-CART MOBILE",
- "type": "MOBILE",
- "mobileFormat": "PASSBOOK"
}, - {
- "code": "W4",
- "name": "WillCall",
- "type": "TRADITIONAL"
}, - {
- "code": "HOME",
- "name": "PRINT AT HOME",
- "type": "PRINT_AT_HOME"
}
]
}The get cart endpoint is used to retrieve an existing cart.
The HTTP HEAD verb is also supported for this endpoint.
| cart_id required | string The cart ID to be retrieved. |
| policyCode required | string Policy (control) code governing the sales policy for the requestor. |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| Accept-Encoding | string gzip compression is supported. |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
curl -X GET "https://link-sandbox.paciolan.info/v2/cart/cart123?policyCode=myPolicyCode" \ -H "Accept: application/json" \ -H "Accept-Encoding: gzip" \ -H "User-Agent: YourApplication/1.0.0" \ -H "PAC-API-Key: YOUR_API_KEY" \ -H "PAC-Application-ID: reverse.domain.appid" \ -H "PAC-API-Creds: YOUR_API_CREDS" \ -H "PAC-Channel-Code: channelcode" \ -H "PAC-Organization-ID: 12345" -H "Authorization: Bearer YOUR_TOKEN"
{- "ID": 874284,
- "expiration": "2024-07-24T00:44:31Z",
- "balance": 41,
- "paid": 0,
- "value": 41,
- "comments": null,
- "tags": [ ],
- "offers": [
- {
- "sequence": 1,
- "offerType": "SALE",
- "quantity": 1,
- "allocatedQuantity": 0,
- "seasonCode": "AUTO2",
- "itemCode": "A1",
- "basis": "SINGLE",
- "event": {
- "code": "A1",
- "name": "A1 Event update2",
- "priceLevel": 1,
- "facilityFee": {
- "code": "FF",
- "amount": 1
}, - "seats": [
- {
- "section": "A:A",
- "row": "47",
- "seat": "2",
- "sequence": 2
}
]
}, - "priceType": {
- "code": "A",
- "name": "Adult",
- "class": null,
- "auditKind": "F"
}, - "markCode": null,
- "unitPrice": 40,
- "itemDiscount": null,
- "itemSurcharge": null,
- "itemCharge": null,
- "extendedPrice": 41,
- "itemPriority": null,
- "referralSource": null,
- "referralData": null,
- "associatedCustomer": null,
- "willCallCustomer": null,
- "note": null,
- "tags": [ ],
- "availableDiscounts": [
- {
- "seasonCode": "AUTO2",
- "code": "ODDM",
- "name": "$1/event (w/$10 max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "F",
- "name": "OTTAWA DISC"
}, - {
- "seasonCode": "AUTO2",
- "code": "1/E",
- "name": "$1 per event ($4 max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "D10",
- "name": "10% disc (no max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "D2",
- "name": "Quantity Based Percent Discount"
}, - {
- "seasonCode": "AUTO2",
- "code": "D3",
- "name": "Discount Per Event"
}, - {
- "seasonCode": "AUTO2",
- "code": "D4",
- "name": "Discount Per Item"
}, - {
- "seasonCode": "AUTO2",
- "code": "ODD",
- "name": "one dollar discount"
}, - {
- "seasonCode": "AUTO2",
- "code": "5%",
- "name": "FIVE PERCENT"
}, - {
- "seasonCode": "AUTO2",
- "code": "ODD.I",
- "name": "$1 per item"
}, - {
- "seasonCode": "AUTO2",
- "code": "AUTO_DISC",
- "name": "AUTO Discount"
}, - {
- "seasonCode": "AUTO2",
- "code": "ODO",
- "name": "ONE DOLLAR OFF"
}, - {
- "seasonCode": "AUTO2",
- "code": "10%",
- "name": "10% (w/$10 max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "AUTO_DISC2",
- "name": "Auto Discount2"
}
]
}
], - "charges": [ ],
- "userDefinedFields": [ ],
- "saleCode": {
- "code": "B",
- "name": "Box Office (IAM)",
- "group": {
- "code": "B",
- "name": "Box Office"
}
}, - "availableMarkCodes": [
- {
- "code": "G",
- "name": "GENERAL PUBLIC"
}, - {
- "code": "A1",
- "name": "OPTION - A1"
}, - {
- "code": "B1T",
- "name": "OPTION TRANSER - B1"
}
], - "availableSurcharges": [
- {
- "seasonCode": "AUTO2",
- "code": "AUTO_SURG",
- "name": "AUTO SURCHARGES"
}, - {
- "seasonCode": "AUTO2",
- "code": "S1",
- "name": "Auto Surcharge"
}, - {
- "seasonCode": "AUTO2",
- "code": "S2",
- "name": "Auto Surcharge 2"
}
], - "availablePaymentMethods": [
- {
- "code": "AMEX",
- "name": "AMEX",
- "type": "AMERICAN_EXPRESS"
}, - {
- "code": "MC",
- "name": "Mastercard ",
- "type": "MASTERCARD"
}, - {
- "code": "G",
- "name": "Gift Certificate",
- "type": "GIFT_CERTIFICATE"
}, - {
- "code": "CK",
- "name": "Check",
- "type": "CHECK"
}, - {
- "code": "V",
- "name": "Visa",
- "type": "VISA"
}, - {
- "code": "C",
- "name": "Cash",
- "type": "CASH"
}, - {
- "code": "OT",
- "name": "Other",
- "type": "OTHER"
}
], - "availableDeliveryMethods": [
- {
- "code": "E",
- "name": "EXPRESS MAIL",
- "type": "TRADITIONAL"
}, - {
- "code": "MSID.1",
- "name": "Magstripe Student ID",
- "type": "MAGSTRIPE_STUDENT_ID"
}, - {
- "code": "MSCC.1",
- "name": "Magstripe Credit Card",
- "type": "MAGSTRIPE_CC"
}, - {
- "code": "SJMOBILE",
- "name": "API-CART MOBILE",
- "type": "MOBILE",
- "mobileFormat": "PASSBOOK"
}, - {
- "code": "W4",
- "name": "WillCall",
- "type": "TRADITIONAL"
}, - {
- "code": "HOME",
- "name": "PRINT AT HOME",
- "type": "PRINT_AT_HOME"
}
]
}The delete cart endpoint is used to cancel a pending transaction. When a cart is deleted, all offers contained in the cart are cancelled, any related seats on counter hold are returned to available inventory and no financial transaction(s) are written to the back office ticketing system. No permanent record of the cart is persisted.
| cart_id required | integer The cart ID to be deleted. |
| policyCode required | string Policy (control) code governing the sales policy for the requestor. |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| Accept-Encoding | string gzip compression is supported. |
| If-Unmodified-Since | string <date-time> Example: Mon, 19 Aug 2024 17:12:25 GMT The date/time value, in HTTP-date format, returned from the |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
curl -X DELETE "https://link-sandbox.paciolan.info/v2/cart/{cart_id}?policyCode=myPolicyCode" \ -H "Accept: application/json" \ -H "Accept-Encoding: gzip" \ -H "If-Unmodified-Since: Wed, 11 Aug 2023 00:00:00 GMT" \ -H "User-Agent: YourApplication/1.0.0" \ -H "PAC-API-Key: YOUR_API_KEY" \ -H "PAC-Application-ID: reverse.domain.appid" \ -H "PAC-Channel-Code: channelcode" \ -H "PAC-Organization-ID: 12345" -H "PAC-API-Creds: YOUR_API_CREDS" \ -H "Autorization: Bearer YOUR_TOKEN"
The checkout API endpoint commits a cart to a sale and records a financial transaction.
| cart_id required | string The cart ID of the pending cart to be completed. |
| policyCode required | string Policy (control) code governing the sales policy for the requestor. |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| Accept-Encoding | string gzip compression is supported. |
| If-Unmodified-Since | string <date-time> Example: Mon, 19 Aug 2024 17:12:25 GMT The date/time value, in HTTP-date format, returned from the |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
required | object Patron (may be null if permitted by policy). If null, the resultant transaction will be associated with a house account (i.e., an anonymous transaction). | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| comments | string Cart (order) comments. N.B., A single cart may result in multiple orders, thus comments may be duplicated across seasons/orders. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| tags | Array of strings Cart (order) tags. N.B., A single cart may result in multiple orders, thus tags may be duplicated across seasons/orders. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array of objects Collection of user-defined fields. Please consult with your client before implementing this property. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
required | object Delivery information | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array of objects Collection of payments. Required for carts with a balance greater than zero. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| amount required | number Payment amount. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| routingNumber | string Routing number. Required for electronic check payments. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| bankAccountNumber | string Bank account number. Required for electronic check payments. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||
{- "patron": {
- "account": "string",
- "lastName": "string",
- "firstName": "string",
- "middleInitial": "string",
- "companyName": "string",
- "isOrganization": true,
- "address": {
- "type": "string",
- "address1": "string",
- "address2": "string",
- "address3": "string",
- "address4": "string",
- "locality": "string",
- "region": "string",
- "postalCode": "string",
- "countryCode": "string"
}, - "phoneNumber": {
- "type": "string",
- "number": "string",
- "formattedNumber": "string",
- "extension": "string",
- "countryCode": "string"
}, - "emailAddress": {
- "type": "string",
- "address": "string"
}
}, - "comments": "string",
- "tags": [
- "string"
], - "userDefinedFields": [
- {
- "index": 0,
- "value": "string"
}
], - "delivery": {
- "method": "string",
- "emailAddress": "string",
- "ID": "string"
}, - "payments": [
- {
- "paymentMethod": "string",
- "cardholderName": "string",
- "accountNumber": "string",
- "documentNumber": "string",
- "expirationMonth": 0,
- "expirationYear": 0,
- "cardVerificationNumber": 0,
- "billingAddress": "string",
- "billingPostalCode": "string",
- "billingCountryCode": "string",
- "amount": 0,
- "routingNumber": "string",
- "bankAccountNumber": "string"
}
], - "amount": 0,
- "routingNumber": "string",
- "bankAccountNumber": "string"
}{- "ID": 874284,
- "expiration": "2024-07-24T00:44:31Z",
- "balance": 41,
- "paid": 0,
- "value": 41,
- "comments": null,
- "tags": [ ],
- "offers": [
- {
- "sequence": 1,
- "offerType": "SALE",
- "quantity": 1,
- "allocatedQuantity": 0,
- "seasonCode": "AUTO2",
- "itemCode": "A1",
- "basis": "SINGLE",
- "event": {
- "code": "A1",
- "name": "A1 Event update2",
- "priceLevel": 1,
- "facilityFee": {
- "code": "FF",
- "amount": 1
}, - "seats": [
- {
- "section": "A:A",
- "row": "47",
- "seat": "2",
- "sequence": 2
}
]
}, - "priceType": {
- "code": "A",
- "name": "Adult",
- "class": null,
- "auditKind": "F"
}, - "markCode": null,
- "unitPrice": 40,
- "itemDiscount": null,
- "itemSurcharge": null,
- "itemCharge": null,
- "extendedPrice": 41,
- "itemPriority": null,
- "referralSource": null,
- "referralData": null,
- "associatedCustomer": null,
- "willCallCustomer": null,
- "note": null,
- "tags": [ ],
- "availableDiscounts": [
- {
- "seasonCode": "AUTO2",
- "code": "ODDM",
- "name": "$1/event (w/$10 max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "F",
- "name": "OTTAWA DISC"
}, - {
- "seasonCode": "AUTO2",
- "code": "1/E",
- "name": "$1 per event ($4 max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "D10",
- "name": "10% disc (no max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "D2",
- "name": "Quantity Based Percent Discount"
}, - {
- "seasonCode": "AUTO2",
- "code": "D3",
- "name": "Discount Per Event"
}, - {
- "seasonCode": "AUTO2",
- "code": "D4",
- "name": "Discount Per Item"
}, - {
- "seasonCode": "AUTO2",
- "code": "ODD",
- "name": "one dollar discount"
}, - {
- "seasonCode": "AUTO2",
- "code": "5%",
- "name": "FIVE PERCENT"
}, - {
- "seasonCode": "AUTO2",
- "code": "ODD.I",
- "name": "$1 per item"
}, - {
- "seasonCode": "AUTO2",
- "code": "AUTO_DISC",
- "name": "AUTO Discount"
}, - {
- "seasonCode": "AUTO2",
- "code": "ODO",
- "name": "ONE DOLLAR OFF"
}, - {
- "seasonCode": "AUTO2",
- "code": "10%",
- "name": "10% (w/$10 max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "AUTO_DISC2",
- "name": "Auto Discount2"
}
]
}
], - "charges": [ ],
- "userDefinedFields": [ ],
- "saleCode": {
- "code": "B",
- "name": "Box Office (IAM)",
- "group": {
- "code": "B",
- "name": "Box Office"
}
}, - "availableMarkCodes": [
- {
- "code": "G",
- "name": "GENERAL PUBLIC"
}, - {
- "code": "A1",
- "name": "OPTION - A1"
}, - {
- "code": "B1T",
- "name": "OPTION TRANSER - B1"
}
], - "availableSurcharges": [
- {
- "seasonCode": "AUTO2",
- "code": "AUTO_SURG",
- "name": "AUTO SURCHARGES"
}, - {
- "seasonCode": "AUTO2",
- "code": "S1",
- "name": "Auto Surcharge"
}, - {
- "seasonCode": "AUTO2",
- "code": "S2",
- "name": "Auto Surcharge 2"
}
], - "availablePaymentMethods": [
- {
- "code": "AMEX",
- "name": "AMEX",
- "type": "AMERICAN_EXPRESS"
}, - {
- "code": "MC",
- "name": "Mastercard ",
- "type": "MASTERCARD"
}, - {
- "code": "G",
- "name": "Gift Certificate",
- "type": "GIFT_CERTIFICATE"
}, - {
- "code": "CK",
- "name": "Check",
- "type": "CHECK"
}, - {
- "code": "V",
- "name": "Visa",
- "type": "VISA"
}, - {
- "code": "C",
- "name": "Cash",
- "type": "CASH"
}, - {
- "code": "OT",
- "name": "Other",
- "type": "OTHER"
}
], - "availableDeliveryMethods": [
- {
- "code": "E",
- "name": "EXPRESS MAIL",
- "type": "TRADITIONAL"
}, - {
- "code": "MSID.1",
- "name": "Magstripe Student ID",
- "type": "MAGSTRIPE_STUDENT_ID"
}, - {
- "code": "MSCC.1",
- "name": "Magstripe Credit Card",
- "type": "MAGSTRIPE_CC"
}, - {
- "code": "SJMOBILE",
- "name": "API-CART MOBILE",
- "type": "MOBILE",
- "mobileFormat": "PASSBOOK"
}, - {
- "code": "W4",
- "name": "WillCall",
- "type": "TRADITIONAL"
}, - {
- "code": "HOME",
- "name": "PRINT AT HOME",
- "type": "PRINT_AT_HOME"
}
]
}The add offer endpoint is used add an offer to an existing cart.
📘 Non-Allocatable Items
To request an offer for non-allocatable items, the
seatscollection must be omitted.example:
{ "seasonCode": "FB16", "itemCode": "HOTDOG", "quantity": 1 }
| cart_id required | string The cart ID of the cart to be modified. |
| policyCode required | string Policy (control) code governing the sales policy for the requestor. |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| Accept-Encoding | string gzip compression is supported. |
| If-Unmodified-Since | string <date-time> Example: Mon, 19 Aug 2024 17:12:25 GMT The date/time value, in HTTP-date format, returned from the |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
| seasonCode required | string Season code | ||||||||||
| itemCode required | string Item code | ||||||||||
| quantity required | number Quantity | ||||||||||
| referralSource | string Marketing referral source | ||||||||||
| referralData | string Marketing referral data | ||||||||||
| associatedCustomer | string Associated customer (used to specify an alternate delivery customer for this offer) | ||||||||||
| willCallCustomer | string Will call customer (used to specify an alternate will call customer for this offer) | ||||||||||
| markCode | string Mark Code | ||||||||||
| itemPriority | number Item priority | ||||||||||
| note | string Offer note | ||||||||||
Array of objects Collection of seats (required for allocatable items, omitted for non-allocatable items) | |||||||||||
Array
| |||||||||||
{- "seasonCode": "string",
- "itemCode": "string",
- "quantity": 0,
- "referralSource": "string",
- "referralData": "string",
- "associatedCustomer": "string",
- "willCallCustomer": "string",
- "markCode": "string",
- "itemPriority": 0,
- "note": "string",
- "seats": [
- {
- "priceLevel": 0,
- "priceType": "string",
- "section": "string",
- "row": "string",
- "seat": "string"
}
]
}{- "ID": 874284,
- "expiration": "2024-07-24T00:44:31Z",
- "balance": 41,
- "paid": 0,
- "value": 41,
- "comments": null,
- "tags": [ ],
- "offers": [
- {
- "sequence": 1,
- "offerType": "SALE",
- "quantity": 1,
- "allocatedQuantity": 0,
- "seasonCode": "AUTO2",
- "itemCode": "A1",
- "basis": "SINGLE",
- "event": {
- "code": "A1",
- "name": "A1 Event update2",
- "priceLevel": 1,
- "facilityFee": {
- "code": "FF",
- "amount": 1
}, - "seats": [
- {
- "section": "A:A",
- "row": "47",
- "seat": "2",
- "sequence": 2
}
]
}, - "priceType": {
- "code": "A",
- "name": "Adult",
- "class": null,
- "auditKind": "F"
}, - "markCode": null,
- "unitPrice": 40,
- "itemDiscount": null,
- "itemSurcharge": null,
- "itemCharge": null,
- "extendedPrice": 41,
- "itemPriority": null,
- "referralSource": null,
- "referralData": null,
- "associatedCustomer": null,
- "willCallCustomer": null,
- "note": null,
- "tags": [ ],
- "availableDiscounts": [
- {
- "seasonCode": "AUTO2",
- "code": "ODDM",
- "name": "$1/event (w/$10 max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "F",
- "name": "OTTAWA DISC"
}, - {
- "seasonCode": "AUTO2",
- "code": "1/E",
- "name": "$1 per event ($4 max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "D10",
- "name": "10% disc (no max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "D2",
- "name": "Quantity Based Percent Discount"
}, - {
- "seasonCode": "AUTO2",
- "code": "D3",
- "name": "Discount Per Event"
}, - {
- "seasonCode": "AUTO2",
- "code": "D4",
- "name": "Discount Per Item"
}, - {
- "seasonCode": "AUTO2",
- "code": "ODD",
- "name": "one dollar discount"
}, - {
- "seasonCode": "AUTO2",
- "code": "5%",
- "name": "FIVE PERCENT"
}, - {
- "seasonCode": "AUTO2",
- "code": "ODD.I",
- "name": "$1 per item"
}, - {
- "seasonCode": "AUTO2",
- "code": "AUTO_DISC",
- "name": "AUTO Discount"
}, - {
- "seasonCode": "AUTO2",
- "code": "ODO",
- "name": "ONE DOLLAR OFF"
}, - {
- "seasonCode": "AUTO2",
- "code": "10%",
- "name": "10% (w/$10 max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "AUTO_DISC2",
- "name": "Auto Discount2"
}
]
}
], - "charges": [ ],
- "userDefinedFields": [ ],
- "saleCode": {
- "code": "B",
- "name": "Box Office (IAM)",
- "group": {
- "code": "B",
- "name": "Box Office"
}
}, - "availableMarkCodes": [
- {
- "code": "G",
- "name": "GENERAL PUBLIC"
}, - {
- "code": "A1",
- "name": "OPTION - A1"
}, - {
- "code": "B1T",
- "name": "OPTION TRANSER - B1"
}
], - "availableSurcharges": [
- {
- "seasonCode": "AUTO2",
- "code": "AUTO_SURG",
- "name": "AUTO SURCHARGES"
}, - {
- "seasonCode": "AUTO2",
- "code": "S1",
- "name": "Auto Surcharge"
}, - {
- "seasonCode": "AUTO2",
- "code": "S2",
- "name": "Auto Surcharge 2"
}
], - "availablePaymentMethods": [
- {
- "code": "AMEX",
- "name": "AMEX",
- "type": "AMERICAN_EXPRESS"
}, - {
- "code": "MC",
- "name": "Mastercard ",
- "type": "MASTERCARD"
}, - {
- "code": "G",
- "name": "Gift Certificate",
- "type": "GIFT_CERTIFICATE"
}, - {
- "code": "CK",
- "name": "Check",
- "type": "CHECK"
}, - {
- "code": "V",
- "name": "Visa",
- "type": "VISA"
}, - {
- "code": "C",
- "name": "Cash",
- "type": "CASH"
}, - {
- "code": "OT",
- "name": "Other",
- "type": "OTHER"
}
], - "availableDeliveryMethods": [
- {
- "code": "E",
- "name": "EXPRESS MAIL",
- "type": "TRADITIONAL"
}, - {
- "code": "MSID.1",
- "name": "Magstripe Student ID",
- "type": "MAGSTRIPE_STUDENT_ID"
}, - {
- "code": "MSCC.1",
- "name": "Magstripe Credit Card",
- "type": "MAGSTRIPE_CC"
}, - {
- "code": "SJMOBILE",
- "name": "API-CART MOBILE",
- "type": "MOBILE",
- "mobileFormat": "PASSBOOK"
}, - {
- "code": "W4",
- "name": "WillCall",
- "type": "TRADITIONAL"
}, - {
- "code": "HOME",
- "name": "PRINT AT HOME",
- "type": "PRINT_AT_HOME"
}
]
}The delete offer endpoint is used to remove an offer from an existing cart. When an offer is removed, any related seats on counter hold are returned to available inventory. No permanent record of the offer is persisted.
| cart_id required | string The cart ID of the cart to be modified. |
| offer_id required | string The offer ID of the offer to be removed. |
| policyCode required | string Policy (control) code governing the sales policy for the requestor. |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| If-Unmodified-Since | string <date-time> Example: Mon, 19 Aug 2024 17:12:25 GMT The date/time value, in HTTP-date format, returned from the |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
# Example request to remove an offer from the cart curl -X DELETE "https://link-sandbox.paciolan.info/v2/cart/{cart_id}/offers/{offer_id}?policyCode=myPolicyCode" \ -H "Accept: application/json" \ -H "If-Unmodified-Since: Wed, 11 Aug 2023 00:00:00 GMT" \ -H "User-Agent: YourApplication/1.0.0" \ -H "PAC-API-Key: YOUR_API_KEY" \ -H "PAC-Application-ID: reverse.domain.appid" \ -H "PAC-Channel-Code: channelcode" -H "PAC-Organization-ID: 12345" -H "PAC-API-Creds: YOUR_API_CREDS" \ -H "Autorization: Bearer YOUR_TOKEN"
The update offer endpoint is used to update an existing offer. The PATCH method is used to communicate a differential (partial) update. Alternately, the PUT method is also supported.
📘 Modifying Offers
A successful request to modify a cart offer will return an updated cart object in the response.
| cart_id required | string The cart ID of the cart to be modified. |
| offer_id required | string The offer ID of the offer to be modified. |
| policyCode required | string Policy (control) code governing the sales policy for the requestor. |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| Content-Type required | string Default: application/json The only supported request type for this endpoint is application/json. |
| Accept-Encoding | string gzip compression is supported. |
| If-Unmodified-Since | string <date-time> Example: Mon, 19 Aug 2024 17:12:25 GMT The date/time value, in HTTP-date format, returned from the |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
| itemCode | string Item code |
| note | string Note |
| referralSource | string referralSource |
| referralData | string referralData |
| associatedCustomer | string associatedCustomer |
{- "itemCode": "string",
- "note": "string",
- "referralSource": "string",
- "referralData": "string",
- "associatedCustomer": "string"
}{- "ID": 874284,
- "expiration": "2024-07-24T00:44:31Z",
- "balance": 41,
- "paid": 0,
- "value": 41,
- "comments": null,
- "tags": [ ],
- "offers": [
- {
- "sequence": 1,
- "offerType": "SALE",
- "quantity": 1,
- "allocatedQuantity": 0,
- "seasonCode": "AUTO2",
- "itemCode": "A1",
- "basis": "SINGLE",
- "event": {
- "code": "A1",
- "name": "A1 Event update2",
- "priceLevel": 1,
- "facilityFee": {
- "code": "FF",
- "amount": 1
}, - "seats": [
- {
- "section": "A:A",
- "row": "47",
- "seat": "2",
- "sequence": 2
}
]
}, - "priceType": {
- "code": "A",
- "name": "Adult",
- "class": null,
- "auditKind": "F"
}, - "markCode": null,
- "unitPrice": 40,
- "itemDiscount": null,
- "itemSurcharge": null,
- "itemCharge": null,
- "extendedPrice": 41,
- "itemPriority": null,
- "referralSource": null,
- "referralData": null,
- "associatedCustomer": null,
- "willCallCustomer": null,
- "note": null,
- "tags": [ ],
- "availableDiscounts": [
- {
- "seasonCode": "AUTO2",
- "code": "ODDM",
- "name": "$1/event (w/$10 max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "F",
- "name": "OTTAWA DISC"
}, - {
- "seasonCode": "AUTO2",
- "code": "1/E",
- "name": "$1 per event ($4 max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "D10",
- "name": "10% disc (no max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "D2",
- "name": "Quantity Based Percent Discount"
}, - {
- "seasonCode": "AUTO2",
- "code": "D3",
- "name": "Discount Per Event"
}, - {
- "seasonCode": "AUTO2",
- "code": "D4",
- "name": "Discount Per Item"
}, - {
- "seasonCode": "AUTO2",
- "code": "ODD",
- "name": "one dollar discount"
}, - {
- "seasonCode": "AUTO2",
- "code": "5%",
- "name": "FIVE PERCENT"
}, - {
- "seasonCode": "AUTO2",
- "code": "ODD.I",
- "name": "$1 per item"
}, - {
- "seasonCode": "AUTO2",
- "code": "AUTO_DISC",
- "name": "AUTO Discount"
}, - {
- "seasonCode": "AUTO2",
- "code": "ODO",
- "name": "ONE DOLLAR OFF"
}, - {
- "seasonCode": "AUTO2",
- "code": "10%",
- "name": "10% (w/$10 max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "AUTO_DISC2",
- "name": "Auto Discount2"
}
]
}
], - "charges": [ ],
- "userDefinedFields": [ ],
- "saleCode": {
- "code": "B",
- "name": "Box Office (IAM)",
- "group": {
- "code": "B",
- "name": "Box Office"
}
}, - "availableMarkCodes": [
- {
- "code": "G",
- "name": "GENERAL PUBLIC"
}, - {
- "code": "A1",
- "name": "OPTION - A1"
}, - {
- "code": "B1T",
- "name": "OPTION TRANSER - B1"
}
], - "availableSurcharges": [
- {
- "seasonCode": "AUTO2",
- "code": "AUTO_SURG",
- "name": "AUTO SURCHARGES"
}, - {
- "seasonCode": "AUTO2",
- "code": "S1",
- "name": "Auto Surcharge"
}, - {
- "seasonCode": "AUTO2",
- "code": "S2",
- "name": "Auto Surcharge 2"
}
], - "availablePaymentMethods": [
- {
- "code": "AMEX",
- "name": "AMEX",
- "type": "AMERICAN_EXPRESS"
}, - {
- "code": "MC",
- "name": "Mastercard ",
- "type": "MASTERCARD"
}, - {
- "code": "G",
- "name": "Gift Certificate",
- "type": "GIFT_CERTIFICATE"
}, - {
- "code": "CK",
- "name": "Check",
- "type": "CHECK"
}, - {
- "code": "V",
- "name": "Visa",
- "type": "VISA"
}, - {
- "code": "C",
- "name": "Cash",
- "type": "CASH"
}, - {
- "code": "OT",
- "name": "Other",
- "type": "OTHER"
}
], - "availableDeliveryMethods": [
- {
- "code": "E",
- "name": "EXPRESS MAIL",
- "type": "TRADITIONAL"
}, - {
- "code": "MSID.1",
- "name": "Magstripe Student ID",
- "type": "MAGSTRIPE_STUDENT_ID"
}, - {
- "code": "MSCC.1",
- "name": "Magstripe Credit Card",
- "type": "MAGSTRIPE_CC"
}, - {
- "code": "SJMOBILE",
- "name": "API-CART MOBILE",
- "type": "MOBILE",
- "mobileFormat": "PASSBOOK"
}, - {
- "code": "W4",
- "name": "WillCall",
- "type": "TRADITIONAL"
}, - {
- "code": "HOME",
- "name": "PRINT AT HOME",
- "type": "PRINT_AT_HOME"
}
]
}The update offer endpoint is used to update an existing offer. The PUT method is used to communicate a complete (replacement) update. Alternately, the PATCH method is also supported - and the preferred mechanism by which to update cart offers.
📘 Modifying Offers
A successful request to modify a cart offer will return an updated cart object in the response.
| cart_id required | string The cart ID of the cart to be modified. |
| offer_id required | string The offer ID of the offer to be modified. |
| policyCode required | string Policy (control) code governing the sales policy for the requestor. |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| Accept-Encoding | string gzip compression is supported. |
| Content-Type required | string Default: application/json The only supported request type for this endpoint is application/json. |
| If-Unmodified-Since | string <date-time> Example: Mon, 19 Aug 2024 17:12:25 GMT The date/time value, in HTTP-date format, returned from the |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
| itemCode | string Item code |
{- "itemCode": "string"
}{- "ID": 874284,
- "expiration": "2024-07-24T00:44:31Z",
- "balance": 41,
- "paid": 0,
- "value": 41,
- "comments": null,
- "tags": [ ],
- "offers": [
- {
- "sequence": 1,
- "offerType": "SALE",
- "quantity": 1,
- "allocatedQuantity": 0,
- "seasonCode": "AUTO2",
- "itemCode": "A1",
- "basis": "SINGLE",
- "event": {
- "code": "A1",
- "name": "A1 Event update2",
- "priceLevel": 1,
- "facilityFee": {
- "code": "FF",
- "amount": 1
}, - "seats": [
- {
- "section": "A:A",
- "row": "47",
- "seat": "2",
- "sequence": 2
}
]
}, - "priceType": {
- "code": "A",
- "name": "Adult",
- "class": null,
- "auditKind": "F"
}, - "markCode": null,
- "unitPrice": 40,
- "itemDiscount": null,
- "itemSurcharge": null,
- "itemCharge": null,
- "extendedPrice": 41,
- "itemPriority": null,
- "referralSource": null,
- "referralData": null,
- "associatedCustomer": null,
- "willCallCustomer": null,
- "note": null,
- "tags": [ ],
- "availableDiscounts": [
- {
- "seasonCode": "AUTO2",
- "code": "ODDM",
- "name": "$1/event (w/$10 max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "F",
- "name": "OTTAWA DISC"
}, - {
- "seasonCode": "AUTO2",
- "code": "1/E",
- "name": "$1 per event ($4 max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "D10",
- "name": "10% disc (no max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "D2",
- "name": "Quantity Based Percent Discount"
}, - {
- "seasonCode": "AUTO2",
- "code": "D3",
- "name": "Discount Per Event"
}, - {
- "seasonCode": "AUTO2",
- "code": "D4",
- "name": "Discount Per Item"
}, - {
- "seasonCode": "AUTO2",
- "code": "ODD",
- "name": "one dollar discount"
}, - {
- "seasonCode": "AUTO2",
- "code": "5%",
- "name": "FIVE PERCENT"
}, - {
- "seasonCode": "AUTO2",
- "code": "ODD.I",
- "name": "$1 per item"
}, - {
- "seasonCode": "AUTO2",
- "code": "AUTO_DISC",
- "name": "AUTO Discount"
}, - {
- "seasonCode": "AUTO2",
- "code": "ODO",
- "name": "ONE DOLLAR OFF"
}, - {
- "seasonCode": "AUTO2",
- "code": "10%",
- "name": "10% (w/$10 max)"
}, - {
- "seasonCode": "AUTO2",
- "code": "AUTO_DISC2",
- "name": "Auto Discount2"
}
]
}
], - "charges": [ ],
- "userDefinedFields": [ ],
- "saleCode": {
- "code": "B",
- "name": "Box Office (IAM)",
- "group": {
- "code": "B",
- "name": "Box Office"
}
}, - "availableMarkCodes": [
- {
- "code": "G",
- "name": "GENERAL PUBLIC"
}, - {
- "code": "A1",
- "name": "OPTION - A1"
}, - {
- "code": "B1T",
- "name": "OPTION TRANSER - B1"
}
], - "availableSurcharges": [
- {
- "seasonCode": "AUTO2",
- "code": "AUTO_SURG",
- "name": "AUTO SURCHARGES"
}, - {
- "seasonCode": "AUTO2",
- "code": "S1",
- "name": "Auto Surcharge"
}, - {
- "seasonCode": "AUTO2",
- "code": "S2",
- "name": "Auto Surcharge 2"
}
], - "availablePaymentMethods": [
- {
- "code": "AMEX",
- "name": "AMEX",
- "type": "AMERICAN_EXPRESS"
}, - {
- "code": "MC",
- "name": "Mastercard ",
- "type": "MASTERCARD"
}, - {
- "code": "G",
- "name": "Gift Certificate",
- "type": "GIFT_CERTIFICATE"
}, - {
- "code": "CK",
- "name": "Check",
- "type": "CHECK"
}, - {
- "code": "V",
- "name": "Visa",
- "type": "VISA"
}, - {
- "code": "C",
- "name": "Cash",
- "type": "CASH"
}, - {
- "code": "OT",
- "name": "Other",
- "type": "OTHER"
}
], - "availableDeliveryMethods": [
- {
- "code": "E",
- "name": "EXPRESS MAIL",
- "type": "TRADITIONAL"
}, - {
- "code": "MSID.1",
- "name": "Magstripe Student ID",
- "type": "MAGSTRIPE_STUDENT_ID"
}, - {
- "code": "MSCC.1",
- "name": "Magstripe Credit Card",
- "type": "MAGSTRIPE_CC"
}, - {
- "code": "SJMOBILE",
- "name": "API-CART MOBILE",
- "type": "MOBILE",
- "mobileFormat": "PASSBOOK"
}, - {
- "code": "W4",
- "name": "WillCall",
- "type": "TRADITIONAL"
}, - {
- "code": "HOME",
- "name": "PRINT AT HOME",
- "type": "PRINT_AT_HOME"
}
]
}Retrieve information about a specific ticket based on its ID.
The get ticket endpoint returns ticket information for the specified ticket. The purpose of this endpoint is not to replace or supplement the (re)print endpoint(s); print attributes will not be returned by this service; neither is purpose of this endpoint to replace the (planned) patron and/or order API(s); the purpose of this API is to solely to allow integrators to retrieve detailed information about ticket(s) - which may further inform downstream API calls.
N.B., The HEAD HTTP method is also supported for this endpoint.
📘 Errata
- Response compression is supported.
| ticket_id required | integer The ID of the ticket to retrieve information for. |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| Accept-Encoding | string gzip compression is supported. |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
# Example request to get ticket information curl -X GET "https://link-sandbox.paciolan.info/v2/tickets/{ticket_id}" \ -H "Accept: application/json" \ -H "Accept-Encoding: gzip" \ -H "User-Agent: YourApplication/1.0.0" \ -H "PAC-API-Key: YOUR_API_KEY" \ -H "PAC-Application-ID: reverse.domain.appid" \ -H "PAC-Channel-Code: channelcode" \ -H "PAC-Organization-ID: 12345" -H "PAC-API-Creds: YOUR_API_CREDS" \ -H "AUTHORIZATION: Bearer YOUR_TOKEN"
{- "ticketID": "1234567890123456",
- "activity": "FB",
- "season": "FB16",
- "itemBasis": "COMBO",
- "item": "FS16",
- "event": "FB01",
- "account": "23456789",
- "customerBasis": "INDIVIDUAL",
- "isOrganization": true,
- "companyName": null,
- "lastName": "Avalos",
- "firstName": "Marty",
- "associatedCustomer": null,
- "barcode": "75813167566966",
- "barcodeStatus": "VALID",
- "isPrinted": true,
- "isScanned": true,
- "priceLevel": 1,
- "priceType": "ADULT",
- "priceTypeName": "Adult Ticket",
- "seatingType": "RESERVED",
- "section": "U:100",
- "row": "AA",
- "seat": "14",
- "price": 1.23,
- "itemCharge": null,
- "itemChargeAmount": 0,
- "itemFee": null,
- "itemFeeAmount": 0,
- "itemDiscount": null,
- "itemDiscountAmount": 0,
- "itemSurcharge": null,
- "itemSurchargeAmount": 0,
- "extendedPrice": 1.23,
- "itemBalance": 0,
- "itemOrderDate": "2016-11-23",
- "itemPriority": 0,
- "locationPreference": null,
- "billPlan": null,
- "mark": null,
- "specialHandling": null,
- "promoCode": null,
- "isRrenewable": true,
- "hasPendingPostSaleActivity": false,
- "referralSource": null,
- "referralData": null,
- "groupCode": null,
- "previousSeatStatus": "O",
- "willCallCustomer": "12345678"
}Retrieve information about a specific ticket based on its barcode ID.
📘 Errata
- Response compression is supported.
| barcode required | integer The barcode ID of the ticket to retrieve information for. |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| Accept-Encoding | string gzip compression is supported. |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
# Example request to get ticket information by barcode curl -X GET "https://link-sandbox.paciolan.info/v2/tickets/barcode/{barcode}" \ -H "Accept: application/json" \ -H "Accept-Encoding: gzip" \ -H "User-Agent: YourApplication/1.0.0" \ -H "PAC-API-Key: YOUR_API_KEY" \ -H "PAC-Application-ID: reverse.domain.appid" \ -H "PAC-Channel-Code: channelcode" \ -H "PAC-Organization-ID: 12345"\ -H "PAC-API-Creds: YOUR_API_CREDS" \ -H "AUTHORIZATION: Bearer YOUR_TOKEN"\
{- "ticketID": "1234567890123456",
- "activity": "FB",
- "season": "FB16",
- "itemBasis": "COMBO",
- "item": "FS16",
- "event": "FB01",
- "account": "23456789",
- "customerBasis": "INDIVIDUAL",
- "isOrganization": true,
- "companyName": null,
- "lastName": "Avalos",
- "firstName": "Marty",
- "associatedCustomer": null,
- "barcode": "75813167566966",
- "barcodeStatus": "VALID",
- "isPrinted": true,
- "isScanned": true,
- "priceLevel": 1,
- "priceType": "ADULT",
- "priceTypeName": "Adult Ticket",
- "seatingType": "RESERVED",
- "section": "U:100",
- "row": "AA",
- "seat": "14",
- "price": 1.23,
- "itemCharge": null,
- "itemChargeAmount": 0,
- "itemFee": null,
- "itemFeeAmount": 0,
- "itemDiscount": null,
- "itemDiscountAmount": 0,
- "itemSurcharge": null,
- "itemSurchargeAmount": 0,
- "extendedPrice": 1.23,
- "itemBalance": 0,
- "itemOrderDate": "2016-11-23",
- "itemPriority": 0,
- "locationPreference": null,
- "billPlan": null,
- "mark": null,
- "specialHandling": null,
- "promoCode": null,
- "isRrenewable": true,
- "hasPendingPostSaleActivity": false,
- "referralSource": null,
- "referralData": null,
- "groupCode": null,
- "previousSeatStatus": "O",
- "willCallCustomer": "12345678"
}Print a specific ticket based on its ticket ID. The print tickets endpoint allows for the fulfillment (printing) of individual tickets.
📘 Errata
- The endpoint supports multiple media types, which may vary from one client to the next.
- Media type support is not determined by delivery method (disposition) type, which is a variance from the traditional delivery model supported by our back office product(s).
- Only those order lines with delivery assignments with a delivery method (disposition) of type
traditionalmay be fulfilled by this API.
N.B., Media types application/pdf and application/vnd.apple.pkpass return multi-part reponses, including an application/json payload which includes barcode only. Media type application/vnd.google-apps.pass will return a JSON that contains the jsonwebtoken used to create the Google Pay Pass. The following response object is returned for media type application/json native response(s) only:
| ticket_id required | string The ticket ID to print. |
| policyCode | string Policy (control) code governing the sales policy for the requestor. |
| format | string Enum: "DESKTOP" "MOBILE" "BOTH" Print format for PDF output; applicable for media type |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| Accept-Encoding | string gzip compression is supported. |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
# Example request to print a ticket by ticket ID curl -X POST "https://link-sandbox.paciolan.info/v2/tickets/{ticketID}/print" \ -H "Accept: application/json" \ -H "Accept-Encoding: gzip" \ -H "User-Agent: YourApplication/1.0.0" \ -H "PAC-API-Key: YOUR_API_KEY" \ -H "PAC-Application-ID: reverse.domain.appid" \ -H "PAC-Channel-Code: channelcode" \ -H "PAC-Organization-ID: 12345" -H "PAC-API-Creds: YOUR_API_CREDS" \ -H "AUTHORIZATION: Bearer YOUR_TOKEN"
{- "ticketID": "1234567890123456",
- "activity": "FB",
- "season": "FB16",
- "itemBasis": "COMBO",
- "item": "FS16",
- "event": "FB01",
- "account": "23456789",
- "customerBasis": "INDIVIDUAL",
- "isOrganization": true,
- "companyName": null,
- "lastName": "Avalos",
- "firstName": "Marty",
- "associatedCustomer": null,
- "barcode": "75813167566966",
- "barcodeStatus": "VALID",
- "isPrinted": true,
- "isScanned": true,
- "priceLevel": 1,
- "priceType": "ADULT",
- "priceTypeName": "Adult Ticket",
- "seatingType": "RESERVED",
- "section": "U:100",
- "row": "AA",
- "seat": "14",
- "price": 1.23,
- "itemCharge": null,
- "itemChargeAmount": 0,
- "itemFee": null,
- "itemFeeAmount": 0,
- "itemDiscount": null,
- "itemDiscountAmount": 0,
- "itemSurcharge": null,
- "itemSurchargeAmount": 0,
- "extendedPrice": 1.23,
- "itemBalance": 0,
- "itemOrderDate": "2016-11-23",
- "itemPriority": 0,
- "locationPreference": null,
- "billPlan": null,
- "mark": null,
- "specialHandling": null,
- "promoCode": null,
- "isRrenewable": true,
- "hasPendingPostSaleActivity": false,
- "referralSource": null,
- "referralData": null,
- "groupCode": null,
- "previousSeatStatus": "O",
- "willCallCustomer": "12345678"
}Reprint a specific ticket based on its ticket ID. The reprint tickets endpoint allows for the reprinting of individual tickets.
N.B., Tickets that have been previously printed will be voided and new barcodes will be issued as a result.
📘 Errata
- The endpoint supports multiple media types, which may vary from one client to the next.
- Media type support is not determined by delivery method (disposition) type, which is a variance from the traditional delivery model supported by our back office product(s).
- Only those order lines with delivery assignments with a delivery method (disposition) of type
traditionalmay be reprinted by this API.
N.B., Media types application/pdf and application/vnd.apple.pkpass return multi-part reponses, including an application/json payload which includes barcode only. Media type application/vnd.google-apps.pass will return a JSON that contains the jsonwebtoken used to create the Google Pay Pass. The following response object is returned for media type application/json native response(s) only:
| ticket_id required | string The ticket ID to reprint. |
| policyCode | string Policy (control) code governing the sales policy for the requestor. |
| format | string Enum: "DESKTOP" "MOBILE" "BOTH" Print format for PDF output; applicable for media type |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| Accept-Encoding | string gzip compression is supported. |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
# Example request to reprint a ticket by ticket ID curl -X POST "https://link-sandbox.paciolan.info/v2/tickets/{ticketID}/reprint" \ -H "Accept: application/json" \ -H "Accept-Encoding: gzip" \ -H "User-Agent: YourApplication/1.0.0" \ -H "PAC-API-Key: YOUR_API_KEY" \ -H "PAC-Application-ID: reverse.domain.appid" \ -H "PAC-Channel-Code: channelcode" \ -H "PAC-Organization-ID: 12345" -H "PAC-API-Creds: YOUR_API_CREDS" \ -H "AUTHORIZATION: Bearer YOUR_TOKEN"
{- "ticketID": "1234567890123456",
- "activity": "FB",
- "season": "FB16",
- "itemBasis": "COMBO",
- "item": "FS16",
- "event": "FB01",
- "account": "23456789",
- "customerBasis": "INDIVIDUAL",
- "isOrganization": true,
- "companyName": null,
- "lastName": "Avalos",
- "firstName": "Marty",
- "associatedCustomer": null,
- "barcode": "75813167566966",
- "barcodeStatus": "VALID",
- "isPrinted": true,
- "isScanned": true,
- "priceLevel": 1,
- "priceType": "ADULT",
- "priceTypeName": "Adult Ticket",
- "seatingType": "RESERVED",
- "section": "U:100",
- "row": "AA",
- "seat": "14",
- "price": 1.23,
- "itemCharge": null,
- "itemChargeAmount": 0,
- "itemFee": null,
- "itemFeeAmount": 0,
- "itemDiscount": null,
- "itemDiscountAmount": 0,
- "itemSurcharge": null,
- "itemSurchargeAmount": 0,
- "extendedPrice": 1.23,
- "itemBalance": 0,
- "itemOrderDate": "2016-11-23",
- "itemPriority": 0,
- "locationPreference": null,
- "billPlan": null,
- "mark": null,
- "specialHandling": null,
- "promoCode": null,
- "isRrenewable": true,
- "hasPendingPostSaleActivity": false,
- "referralSource": null,
- "referralData": null,
- "groupCode": null,
- "previousSeatStatus": "O",
- "willCallCustomer": "12345678"
}Void a ticket based on the provided ticket ID.
The void tickets endpoint allows for the voiding of individual single tickets and cancellation of miscellaneous items and gift certificates. N.B., Single event tickets sold as part of a package and combo items cannot be voided.
| ticket_id required | integer The ticket ID to void. |
| policyCode | string Policy (control) code governing the sales policy for the void request. |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| Accept-Encoding | string gzip compression is supported. |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
# Example request to void a ticket by ticket ID curl -X POST "https://link-sandbox.paciolan.info/v2/{ticketID}/void" \ -H "Accept: application/json" \ -H "Accept-Encoding: gzip" \ -H "User-Agent: YourApplication/1.0.0" \ -H "PAC-API-Key: YOUR_API_KEY" \ -H "PAC-Application-ID: reverse.domain.appid" \ -H "PAC-Channel-Code: channelcode" \ -H "PAC-Organization-ID: 12345" -H "PAC-API-Creds: YOUR_API_CREDS" \ -H "AUTHORIZATION: Bearer YOUR_TOKEN"
{- "seasonCode": "FB17",
- "transaction": "FB17:17771"
}The patron auth endpoint is used to authenticate patrons against the e.Venue platform for self-service activities requiring downstream API calls. Integrators may use this service to implement their own authentication mechanism using native UI controls in a web or mobile application as permitted by a special license agreement.
📘 Errata
- Our implementation supports AES-128 (CBC) and Blowfish encryption.
- Encrypted passwords must be hex encoded in lowercase characters.
- To ensure consistency with external implementations, the PKCS#5 padding mechanism should be used for the Blowfish cipher at 8-byte block sizes and the PKCS#7 padding mechanism should be used for the Blowfish and AES ciphers at 16-byte and larger block sizes.
| distributorCode | string Distributor code for the e.Venue distributor (property) |
| $ref | string Username (email address) to authenticate |
| password | string Password to authenticate (optionally encrypted, see errata below) |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| Content-Type required | string Default: application/json The only supported request type for this endpoint is application/json. |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
| distributorCode required | string |
| username required | string |
| password required | string |
{- "distributorCode": "AMTX",
- "username": "050523@pactest.com",
- "password": "9F59B1375DDBCF7C14B5D46E89338059"
}{- "authenticated": true,
- "account": "12345678"
}The patron orders endpoint is used to retrieve the season order for the specified patron account.
| account required | string Patron account ID |
| season required | string Season code |
| policyCode | string Optional distributor policy to resolve transfer eligibility |
| page | number Optional page number for pagination |
| itemBasis | string Optional item basis name for filtering. The valid basis names are: ACCESSPASS, COMBO, DONATION, GIFTCERTIFICATE, MISCELLANEOUS and SINGLE |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| Accept-Encoding | string gzip compression is supported. |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
# Example request to get patron orders curl -X GET "https://link-sandbox.paciolan.info/v2/patron/{account}/orders/{season}?policyCode=POLICY_CODE&page=1&itemBasis=ITEMBASIS" \ -H "Accept: application/json" \ -H "Accept-Encoding: gzip" \ -H "User-Agent: YourApplication/1.0.0" \ -H "PAC-API-Key: YOUR_API_KEY" \ -H "PAC-Application-ID: reverse.domain.appid" \ -H "PAC-Channel-Code: channelcode" \ -H "PAC-Organization-ID: 12345" -H "PAC-API-Creds: YOUR_API_CREDS" \ -H "AUTHORIZATION: Bearer YOUR_TOKEN"
{- "orderDate": "2017-08-09",
- "orderItemValue": 750,
- "orderPayments": 750,
- "orderPriority": null,
- "activity": {
- "code": "FB",
- "name": "Football"
}, - "season": {
- "code": "FB17",
- "name": "Football 2017"
}, - "pagination": {
- "currentPage": 1,
- "hasNextPage": false,
- "hasPreviousPage": false,
- "pageSize": 3000,
- "totalItems": 6,
- "totalPages": 1
}, - "tags": [
- "TAG"
], - "userDefinedFields": [ ],
- "orderCharges": [ ],
- "orderLineItems": [
- {
- "sequence": "FB17:278151:1",
- "lastUpdated": "2017-08-22T12:41:52-07:00",
- "itemBasis": "SINGLE",
- "itemQuantity": 1,
- "itemUnitPrice": 75,
- "priceType": {
- "code": "R",
- "name": "Regular",
- "auditKind": "FULL",
- "class": null
}, - "group": null,
- "itemDiscount": null,
- "itemCharge": null,
- "itemSurcharge": null,
- "itemExtendedPrice": 75,
- "item": {
- "code": "F01",
- "name": "vs Texas"
}, - "internetItemName": null,
- "billPlan": null,
- "billDate": null,
- "locationPreference": null,
- "itemPriority": null,
- "specialHandling": null,
- "disposition": null,
- "mark": null,
- "itemBalance": 75,
- "isRenewable": true,
- "itemDate": "2017-08-09",
- "associatedCustomer": null,
- "willCallCustomer": null,
- "tickets": [ ],
- "events": [
- {
- "event": {
- "code": "F01",
- "name": "Football Game 1",
- "internetName": null
}, - "priceLevel": 1,
- "price": 75,
- "facilityFee": null,
- "eventDiscount": null,
- "eventCharge": null,
- "eventSurcharge": null,
- "extendedAmount": 75,
- "paidAmount": 0,
- "isTransferrable": false,
- "seats": [
- {
- "section": "K:115",
- "row": "31",
- "seat": "4",
- "barcode": null,
- "ticketID": "4316482555934982",
- "hasPendingPostSaleActivity": false
}
]
}
]
}, - {
- "sequence": "FB17:278151:2",
- "lastUpdated": "2017-08-24T09:57:56-07:00",
- "itemBasis": "SINGLE",
- "itemQuantity": 2,
- "itemUnitPrice": 75,
- "priceType": {
- "code": "R",
- "name": "Regular",
- "auditKind": "FULL",
- "class": null
}, - "group": null,
- "itemDiscount": null,
- "itemCharge": null,
- "itemSurcharge": null,
- "itemExtendedPrice": 150,
- "item": {
- "code": "F02",
- "name": "vs TCU"
}, - "internetItemName": null,
- "billPlan": null,
- "billDate": null,
- "locationPreference": null,
- "itemPriority": null,
- "specialHandling": null,
- "disposition": null,
- "mark": null,
- "itemBalance": 0,
- "isRenewable": true,
- "itemDate": "2017-08-09",
- "associatedCustomer": null,
- "willCallCustomer": null,
- "tickets": [ ],
- "events": [
- {
- "event": {
- "code": "F02",
- "name": "Football Game 2",
- "internetName": null
}, - "priceLevel": 1,
- "price": 75,
- "facilityFee": null,
- "eventDiscount": null,
- "eventCharge": null,
- "eventSurcharge": null,
- "extendedAmount": 150,
- "paidAmount": 150,
- "isTransferrable": false,
- "seats": [
- {
- "section": "K:115",
- "row": "31",
- "seat": "3",
- "barcode": "43125975439416",
- "ticketID": "4315753130759194",
- "hasPendingPostSaleActivity": false
}, - {
- "section": "K:115",
- "row": "31",
- "seat": "4",
- "barcode": "43125995245743",
- "ticketID": "4319588631676677",
- "hasPendingPostSaleActivity": false
}
]
}
]
}, - {
- "sequence": "FB17:278151:3",
- "lastUpdated": "2017-08-09T12:05:14-07:00",
- "itemBasis": "SINGLE",
- "itemQuantity": 4,
- "itemUnitPrice": 0,
- "priceType": {
- "code": "C",
- "name": "Comp",
- "auditKind": "COMP",
- "class": {
- "code": "COMP",
- "name": "Complimentary"
}
}, - "group": null,
- "itemDiscount": null,
- "itemCharge": null,
- "itemSurcharge": null,
- "itemExtendedPrice": 0,
- "item": {
- "code": "F04",
- "name": "vs Colorado St."
}, - "internetItemName": null,
- "billPlan": null,
- "billDate": null,
- "locationPreference": null,
- "itemPriority": null,
- "specialHandling": null,
- "disposition": null,
- "mark": null,
- "itemBalance": 0,
- "isRenewable": true,
- "itemDate": "2017-08-09",
- "associatedCustomer": null,
- "willCallCustomer": null,
- "tickets": [ ],
- "events": [
- {
- "event": {
- "code": "F04",
- "name": "Football Game 4",
- "internetName": null
}, - "priceLevel": 1,
- "price": 0,
- "facilityFee": null,
- "eventDiscount": null,
- "eventCharge": null,
- "eventSurcharge": null,
- "extendedAmount": 0,
- "paidAmount": 0,
- "isTransferrable": false,
- "seats": [
- {
- "section": "K:115",
- "row": "31",
- "seat": "25",
- "barcode": null,
- "ticketID": "4311508914102444",
- "hasPendingPostSaleActivity": false
}, - {
- "section": "K:115",
- "row": "31",
- "seat": "26",
- "barcode": null,
- "ticketID": "4313836336757847",
- "hasPendingPostSaleActivity": false
}, - {
- "section": "K:115",
- "row": "31",
- "seat": "27",
- "barcode": null,
- "ticketID": "4317672725566378",
- "hasPendingPostSaleActivity": false
}, - {
- "section": "K:115",
- "row": "31",
- "seat": "28",
- "barcode": null,
- "ticketID": "4311918193526102",
- "hasPendingPostSaleActivity": false
}
]
}
]
}, - {
- "sequence": "FB17:278151:4",
- "lastUpdated": "2017-08-09T12:05:14-07:00",
- "itemBasis": "SINGLE",
- "itemQuantity": 2,
- "itemUnitPrice": 150,
- "priceType": {
- "code": "R",
- "name": "Regular",
- "auditKind": "FULL",
- "class": null
}, - "group": null,
- "itemDiscount": null,
- "itemCharge": null,
- "itemSurcharge": null,
- "itemExtendedPrice": 300,
- "item": {
- "code": "F06",
- "name": "vs Arizona"
}, - "internetItemName": null,
- "billPlan": null,
- "billDate": null,
- "locationPreference": null,
- "itemPriority": null,
- "specialHandling": null,
- "disposition": null,
- "mark": null,
- "itemBalance": 0,
- "isRenewable": true,
- "itemDate": "2017-08-09",
- "associatedCustomer": null,
- "willCallCustomer": null,
- "tickets": [ ],
- "events": [
- {
- "event": {
- "code": "F06",
- "name": "Football Game 6",
- "internetName": null
}, - "priceLevel": 4,
- "price": 150,
- "facilityFee": null,
- "eventDiscount": null,
- "eventCharge": null,
- "eventSurcharge": null,
- "extendedAmount": 300,
- "paidAmount": 300,
- "isTransferrable": false,
- "seats": [
- {
- "section": "L1:S101",
- "row": "A",
- "seat": "1",
- "barcode": null,
- "ticketID": "4311918350839248",
- "hasPendingPostSaleActivity": false
}, - {
- "section": "L1:S101",
- "row": "A",
- "seat": "2",
- "barcode": null,
- "ticketID": "4317673423084187",
- "hasPendingPostSaleActivity": false
}
]
}
]
}, - {
- "sequence": "FB17:278151:5",
- "lastUpdated": "2017-08-25T10:59:15-07:00",
- "itemBasis": "SINGLE",
- "itemQuantity": 2,
- "itemUnitPrice": 75,
- "priceType": {
- "code": "R",
- "name": "Regular",
- "auditKind": "FULL",
- "class": null
}, - "group": null,
- "itemDiscount": null,
- "itemCharge": null,
- "itemSurcharge": null,
- "itemExtendedPrice": 150,
- "item": {
- "code": "F02",
- "name": "vs TCU"
}, - "internetItemName": null,
- "billPlan": null,
- "billDate": null,
- "locationPreference": null,
- "itemPriority": null,
- "specialHandling": null,
- "disposition": {
- "code": "PAH",
- "name": "Print at Home",
- "type": "PRINT_AT_HOME",
- "mobileType": null
}, - "mark": null,
- "itemBalance": 0,
- "isRenewable": true,
- "itemDate": "2017-08-09",
- "associatedCustomer": null,
- "willCallCustomer": null,
- "tickets": [ ],
- "events": [
- {
- "event": {
- "code": "F02",
- "name": "Football Game 2",
- "internetName": null
}, - "priceLevel": 1,
- "price": 75,
- "facilityFee": null,
- "eventDiscount": null,
- "eventCharge": null,
- "eventSurcharge": null,
- "extendedAmount": 150,
- "paidAmount": 150,
- "isTransferrable": false,
- "seats": [
- {
- "section": "K:115",
- "row": "31",
- "seat": "27",
- "barcode": null,
- "ticketID": "4311353440115492",
- "hasPendingPostSaleActivity": false
}, - {
- "section": "K:115",
- "row": "31",
- "seat": "28",
- "barcode": null,
- "ticketID": "4318383603723163",
- "hasPendingPostSaleActivity": false
}
]
}
]
}, - {
- "sequence": "FB17:278151:6",
- "lastUpdated": "2017-08-22T12:41:52-07:00",
- "itemBasis": "SINGLE",
- "itemQuantity": 1,
- "itemUnitPrice": 75,
- "priceType": {
- "code": "R",
- "name": "Regular",
- "auditKind": "FULL",
- "class": null
}, - "group": null,
- "itemDiscount": null,
- "itemCharge": null,
- "itemSurcharge": null,
- "itemExtendedPrice": 75,
- "item": {
- "code": "F01",
- "name": "vs Texas"
}, - "internetItemName": null,
- "billPlan": null,
- "billDate": null,
- "locationPreference": null,
- "itemPriority": null,
- "specialHandling": null,
- "disposition": {
- "code": "M",
- "name": "MAIL",
- "type": "TRADITIONAL",
- "mobileType": null
}, - "mark": null,
- "itemBalance": 75,
- "isRenewable": true,
- "itemDate": "2017-08-22",
- "associatedCustomer": "278151",
- "willCallCustomer": null,
- "tickets": [ ],
- "events": [
- {
- "event": {
- "code": "F01",
- "name": "Football Game 1",
- "internetName": null
}, - "priceLevel": 1,
- "price": 75,
- "facilityFee": null,
- "eventDiscount": null,
- "eventCharge": null,
- "eventSurcharge": null,
- "extendedAmount": 75,
- "paidAmount": 0,
- "isTransferrable": false,
- "seats": [
- {
- "section": "K:115",
- "row": "31",
- "seat": "3",
- "barcode": null,
- "ticketID": "4311206343050755",
- "hasPendingPostSaleActivity": false
}
]
}
]
}
]
}The patron seasons endpoint is used to retrieve a list of active seasons for the specified patron account.
📘 Compression
Compression is not supported for this endpoint.
| account required | string Patron account ID |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
# Example request to get patron seasons curl -X GET "https://link-sandbox.paciolan.info/v2/patron/{account}/seasons" \ -H "Accept: application/json" \ -H "User-Agent: YourApplication/1.0.0" \ -H "PAC-API-Key: YOUR_API_KEY" \ -H "PAC-Application-ID: reverse.domain.appid" \ -H "PAC-Channel-Code: channelcode" \ -H "PAC-Organization-ID: 12345" -H "PAC-API-Creds: YOUR_API_CREDS" \ -H "AUTHORIZATION: Bearer YOUR_TOKEN"
{- "seasons": [
- {
- "code": "F18",
- "name": "Football 18"
}, - {
- "code": "MB18",
- "name": "Basketball 18"
}
]
}The batch status endpoint returns status information for the requested batch job.
🚧 Export File Retention
Export files are scheduled for deletion shortly after they've been downloaded. Please plan accordingly.
| SCHEDULED | The job has been scheduled for processing. |
| ERROR | An error has occurred. |
| PENDING | Processing is underway, completion is pending. |
| COMPLETED | The job is completed. |
| batch_id required | string The batch ID to retrieve status for. |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
| PAC-Organization-ID required | string Example: 999 The client's data account ID to pull events from. |
# Example request to get batch status by batch ID curl -X GET "https://link-sandbox.paciolan.info/v2/batch/status/{batch_id}" \ -H "Accept: application/json" \ -H "User-Agent: YourApplication/1.0.0" \ -H "PAC-API-Key: YOUR_API_KEY" \ -H "PAC-Application-ID: reverse.domain.appid" \ -H "PAC-Channel-Code: channelcode" \ -H "PAC-Organization-ID: 12345" -H "PAC-API-Creds: YOUR_API_CREDS" \ -H "AUTHORIZATION: Bearer YOUR_TOKEN"
{- "status ": "COMPLETED",
}The batch order export endpoint is used to initiate the export of order line item data.
As with other batch export endpoints, a call to this endpoint initiates the generation of an export file. The initial API response will return a job ID that will be used in subsequent service calls(s) to retrieve job status and/or a download URL via the batch status endpoint.
📘 A note about items…
When an itemCode is provided, only those orders that contain the specified itemCode are returned.
If itemCode is a combo/package item (basis
C), constituents of the package item will be also be returned.If itemCode is a single/event (basis
S) that was sold as part of a combo, containing combo items will be returned as well.
The export file is tab-delimited (0x09) with each record terminated with carriage return, line feed (0x0D, 0x0A) characters. The resultant file is compressed via gzip and delivered with a .gz extension.
| Index | Column Name |
|---|---|
| 01 | account |
| 02 | isOrganization |
| 03 | companyName |
| 04 | lastName |
| 05 | firstName |
| 06 | |
| 07 | mobile |
| 08 | currencyCode |
| 09 | season |
| 10 | orderID |
| 11 | sequence |
| 12 | item |
| 13 | itemBasis |
| 14 | qty |
| 15 | price |
| 16 | itemCharge |
| 17 | itemChargeAmount |
| 18 | itemFee |
| 19 | itemFeeAmount |
| 20 | itemDiscount |
| 21 | itemDiscountAmount |
| 22 | itemSurcharge |
| 23 | itemSurchargeAmount |
| 24 | extendedPrice |
| 25 | event |
| 26 | priceLevel |
| 27 | priceType |
| 28 | level |
| 29 | section |
| 30 | row |
| 31 | seat |
| 32 | barcode |
| 33 | renewable |
| 34 | itemBalance |
| 35 | itemDate |
| 36 | mark |
| 37 | disposition |
| 38 | specialHandling |
| 39 | itemGroup |
| 40 | priority |
| 41 | billPlan |
| 42 | priceTypeName |
| 43 | itemQuantity |
| 44 | ticketID |
| seasonCode | string Season Code (either seasonCode or patron is required) |
| patron | string Patron Account (either seasonCode or patron is required) |
| itemCode | string Used to return only those orders that contain the specified item |
| since | string <date-time> Used to return only those orders that have been updated since the date/time provided. Dates are in YYYY-MM-DDThh:mm:ssZ or YYYY-MM-DDThh:mm:ss±hh:mm format. |
| distributorCode | string (Optional) distributor code, used to provide context for e-commerce email address resolution. Specify a value only when instructed by your integration analyst. |
| Authorization required | string Example: Bearer <bearer token> Authorization with Bearer Token |
| Accept required | string Default: application/json The only supported response type for this endpoint is application/json. |
| User-Agent required | string An identifying string in Product/Version format, where Version is a SemVer-compliant string, that uniquely identifies your application. |
| PAC-Application-ID required | string The application identifier for which API access has been authorized; this value is typically expressed in reverse domain notation and is bound to an API key provided by Paciolan during provisioning. |
| PAC-API-CREDS required | string This is the base64 encoded string of the username and password provided by Paciolan for this application. The encoded string must follow this standard: 'Base64(username:password)' |
| PAC-API-Key required | string The API key provided by Paciolan for this application. |
| PAC-Channel-Code required | string The channel partner identifier issued to your organization by the Paciolan Partner Services team partner on-boarding. |
[...]
